Subject: [Ietf-calsify] Section 4.6.5 Time Zone Component: DTSTART with TZOFFSETFROM

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Thu Feb 15 12:56:36 2007

In section 4.6.5 Time Zone Component of RFC 2445 it says:

 > The mandatory "TZOFFSETFROM" property gives the UTC offset which
 > is in use when the onset of this time zone observance begins.
 > "TZOFFSETFROM" is combined with "DTSTART" to define the effective
 > onset for the time zone sub-component definition.  For example,
 > the following represents the time at which the observance of
 > Standard Time took effect in Fall 1967 for New York City:
 >
 >   DTSTART:19671029T020000
 >
 >   TZOFFSETFROM:-0400

But later in the same section it says:

 >     - The "DTSTART" and the "TZOFFSETTO" properties MUST be used
 >     when generating the onset date-time values (instances) from the
 >     RRULE.

Clearly, this last paragraph should say "TZOFFSETFROM" instead of
"TZOFFSETTO".

Proposed new text:

 >     - The "DTSTART" and the "TZOFFSETFROM" properties MUST be used
 >     when generating the onset date-time values (instances) from the
 >     RRULE.

Cheers,
Bernard